# 拒付

{% openapi src="/files/v02ChKNDYHjEmzmKcRQh" path="/openApi/chargebacks" method="get" %}
[openapi.json](https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media\&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3)
{% endopenapi %}

### 请求报文示例

{% code title="chargebacks.sh" %}

```
curl --request GET\
  --url https://{openApiUrl}/openApi/chargebacks?gatewayNo=12345001&endTime=2022-05-01T00:00:00&orderNo=20220429103335&pageIndex=1&pageSize=10&startTime=2021-12-01T00:00:00&tradeNo=2022042910362912053026 \
  --header 'request-id: 58675' \
  --header 'request-time: 2022-05-21T23:59:59' \
  --header 'authorization:Bearer 787966BF2479A1BE8E1886CD18E6919447FAF4F357E7056188D4F035661B822' \
```

{% endcode %}

{% openapi src="/files/v02ChKNDYHjEmzmKcRQh" path="/openApi/chargebacks" method="get" %}
[openapi.json](https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media\&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3)
{% endopenapi %}

### 结果对象属性描述

| property name | type    | description                                                         |
| ------------- | ------- | ------------------------------------------------------------------- |
| result        | Object  | 请求响应对象                                                              |
| code          | String  | 响应码                                                                 |
| message       | String  | 响应信息                                                                |
| data          | Object  | 数据体                                                                 |
| page          | Object  | 分页对象                                                                |
| total         | Integer | 总记录条数                                                               |
| pageSize      | Integer | 每页数据条数                                                              |
| currentPageNo | Integer | 当前页                                                                 |
| list          | Array   | 列表                                                                  |
| merNo         | Integer | 商户号                                                                 |
| gatewayNo     | Integer | 网关号                                                                 |
| batchNo       | String  | 退款编号                                                                |
| tradeNo       | String  | 交易流水号                                                               |
| orderNo       | String  | 商户订单号                                                               |
| orderAmount   | double  | 订单金额                                                                |
| orderCurrency | String  | 订单币种                                                                |
| amount        | double  | 拒付金额                                                                |
| currency      | String  | 交易币种                                                                |
| reason        | String  | 拒付原因                                                                |
| tradeDate     | String  | 交易时间                                                                |
| cpdDate       | String  | cpd时间                                                               |
| replyDeadline | String  | 回复截止时间                                                              |
| status        | String  | <p>拒付状态</p><p>-1：失败</p><p>0：待审核</p><p>1：审核成功未处理</p><p>2：审核成功已处理</p> |
| exeDate       | String  | 执行时间                                                                |
| appealStatus  | String  | <p>申诉状态<br>-2：未申诉<br>-1：申诉待处理<br>0：申诉失败</p><p>1：申诉成功</p>            |
| remark        | String  | 备注                                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://asiabill.gitbook.io/openapi/gong-neng-jie-kou/ju-fu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
